classification
Title: A bug in ncurses.h still exists in FreeBSD 4.9 - 4.11
Type: compile error Stage:
Components: Build Versions: Python 2.5.3, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: akitada, loewis, rpetrov
Priority: release blocker Keywords: patch

Created on 2008-11-20 17:43 by akitada, last changed 2008-12-13 14:14 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
configure.in.diff akitada, 2008-11-20 17:48
Messages (7)
msg76121 - (view) Author: Akira Kitada (akitada) * Date: 2008-11-20 17:48
Excerpt from configure.in

"""
# On FreeBSD 4.8 and MacOS X 10.2, a bug in ncurses.h means that
# it craps out if _XOPEN_EXTENDED_SOURCE is defined. Apparently,
# this is fixed in 10.3, which identifies itself as Darwin/7.*
# This should hopefully be fixed in FreeBSD 4.9
FreeBSD/4.8* | Darwin/6* )
"""

Unfotunately, this bug isn't fixed in FreeBSD 4.9 and even 4.1[01].
Attached patch fixes this.

Note that this fix is already included in trunk, 2.6 and 3k branches.
See also: Issue4204
msg76139 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-11-20 21:02
You patch is out of date. The current case is for FreeBSD/4.* .
msg76141 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-11-20 21:07
missed target version sorry
msg76194 - (view) Author: Akira Kitada (akitada) * Date: 2008-11-21 17:58
Yes, that change was not merged into 2.5 branch.
I Hope it's not yet been too late for 2.5.3.

I confirmed this fixes the problem on FreeBSD 4.11.
msg76369 - (view) Author: Akira Kitada (akitada) * Date: 2008-11-24 22:47
I tested this on FreeBSD 6.3 and it worked. (release25-maint)
waiting for review.
msg76896 - (view) Author: Akira Kitada (akitada) * Date: 2008-12-04 17:06
I think this patch is harmless and also deserve to be merged 
into 2.5.3 release. (As I mentioned earlier, this has been already
merged into 3.0 and 2.6 branches)
msg77732 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-13 14:14
Thanks for the patch. Committed as r67732.
History
Date User Action Args
2008-12-13 14:14:23loewissetstatus: open -> closed
resolution: fixed
messages: + msg77732
nosy: + loewis
2008-12-10 08:58:56loewissetpriority: release blocker
2008-12-04 17:06:20akitadasetmessages: + msg76896
2008-11-29 17:11:06akitadasetversions: + Python 2.5.3
2008-11-24 22:47:53akitadasetmessages: + msg76369
2008-11-21 17:58:18akitadasetmessages: + msg76194
2008-11-20 21:07:14rpetrovsetmessages: + msg76141
2008-11-20 21:02:24rpetrovsetnosy: + rpetrov
messages: + msg76139
2008-11-20 17:48:25akitadasetfiles: + configure.in.diff
versions: + Python 2.5
title: a bug in ncurses.h still exist in -> A bug in ncurses.h still exists in FreeBSD 4.9 - 4.11
messages: + msg76121
components: + Build
keywords: + patch
type: compile error
2008-11-20 17:43:30akitadacreate